Package org.apache.catalina.authenticator

## Enum DigestAuthenticator.AuthDigest

- java.lang.Object
- - java.lang.Enum<DigestAuthenticator.AuthDigest>
  - - org.apache.catalina.authenticator.DigestAuthenticator.AuthDigest

All Implemented Interfaces:
  `Serializable`, `Comparable<DigestAuthenticator.AuthDigest>`

Enclosing class:
  DigestAuthenticator

    public static enum DigestAuthenticator.AuthDigest
    extends Enum<DigestAuthenticator.AuthDigest>

This enum exists because RFC 7616 and Java use different names for some digests.

### Enum Constant Summary

Enum Constants
`MD5`
`SHA_256`
`SHA_512_256`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaName()`
`String` `getRfcName()`
`static DigestAuthenticator.AuthDigest` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static DigestAuthenticator.AuthDigest[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MD5

    public static final DigestAuthenticator.AuthDigest MD5

#### SHA_256

    public static final DigestAuthenticator.AuthDigest SHA_256

#### SHA_512_256

    public static final DigestAuthenticator.AuthDigest SHA_512_256

### Method Detail

#### values

    public static DigestAuthenticator.AuthDigest[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DigestAuthenticator.AuthDigest c : DigestAuthenticator.AuthDigest.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DigestAuthenticator.AuthDigest valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getJavaName

    public String getJavaName()

#### getRfcName

    public String getRfcName()